### Property

# Clutter Timeline:progress-mode

#### Declaration

    property progress-mode: Clutter.AnimationMode [ read, write ]

#### Description [src]

Controls the way a `ClutterTimeline` computes the normalized progress.

Type:`ClutterAnimationMode`

Default value | CLUTTER_LINEAR
Getter method | `clutter_timeline_get_progress_mode()`
Setter method | `clutter_timeline_set_progress_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no